cURL
curl --request GET \
--url https://api-alpha.fourvenues.com/integrations/invoicing/invoices \
--header 'integration_id: <api-key>' \
--header 'secret: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api-alpha.fourvenues.com/integrations/invoicing/invoices"
headers = {
"integration_id": "<api-key>",
"secret": "<api-key>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {integration_id: '<api-key>', secret: '<api-key>', 'x-api-key': '<api-key>'}
};
fetch('https://api-alpha.fourvenues.com/integrations/invoicing/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_number": "<string>",
"url": "<string>",
"invoice_type_name": "<string>",
"invoice_type_code": "<string>",
"organization_system_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_type_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"serie_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"issue_date": "2023-11-07T05:31:56Z",
"due_date": "2023-11-07T05:31:56Z",
"total_amount": 123,
"currency": "<string>",
"total_tax_amount": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"supplier_legal_info": {
"legal_tax_id": "<string>",
"legal_name": "<string>",
"commercial_name": "<string>",
"address": "<string>",
"postal_code": "<string>",
"city": "<string>",
"email": "<string>",
"phone": "<string>",
"mercantile_register": "<string>"
},
"customer_legal_info": {
"legal_tax_id": "<string>",
"legal_name": "<string>",
"commercial_name": "<string>",
"address": "<string>",
"postal_code": "<string>",
"city": "<string>",
"email": "<string>",
"phone": "<string>",
"mercantile_register": "<string>"
},
"organization_system_info": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"regime_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"regime_code": "<string>",
"regime_name": "<string>",
"country_code": "<string>",
"country_code_alpha3": "<string>"
},
"invoice_relations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"related_invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"invoice_entities": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
],
"invoice_lines": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"quantity": 123,
"unit_price": 123,
"total_amount": 123,
"line_taxes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tax_type": "<string>",
"tax_rate": 123,
"tax_exemption_code": "<string>"
}
]
}
]
}
]
}Invoicing
Get invoices
Get all the invoices for an organization
GET
/
invoicing
/
invoices
cURL
Authorizations
Identifier of the integration (Auth v1)
Secret of the organization (Auth v1)
API key (Auth v2)
Query Parameters
The start date
The end date
The cursor. Last invoice number of the previous page
The limit
⌘I